API ReferenceapiidentityGET /v1/admin/users/{userId}

GET /v1/admin/users/\{userId\}

Service: identity · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • userId (string) required

Responses

200 User identity summary

{
  "type": "object",
  "properties": {
    "user_id": {
      "type": "string"
    },
    "email": {
      "type": "string",
      "format": "email"
    },
    "name": {
      "type": [
        "string",
        "null"
      ]
    },
    "brand_id": {
      "type": [
        "string",
        "null"
      ]
    },
    "created_at": {
      "type": "string"
    }
  },
  "required": [
    "user_id",
    "email",
    "name",
    "brand_id",
    "created_at"
  ]
}

404 User not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

500 Internal error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://identity.platform.loop.health/v1/admin/users/{userId} \
  -H "Authorization: Bearer $ACCESS_TOKEN"